/** flex */
@mixin flex() {
	display: flex;
}

.pw-f-row {
	@include flex();
	flex-direction: row;
	flex-wrap: wrap;
}

.pw-f-column {
	@include flex();
	flex-direction: column;
	flex-wrap: nowrap;
}

$positions: start, center, end;
@each $c in $positions {
	@each $r in $positions {
		.pw-f-#{$c}-#{$r} {
			align-items: $c;
			justify-content: $r;
		}
	}
}

.pw-f-end {
	justify-content: flex-end;
}

.pw-f-start {
	justify-content: flex-start;
}

.pw-f-between {
	justify-content: space-between;
}

.pw-f-centerline {
	align-items: center;
}

.pw-f-baseline {
	align-items: baseline;
}

.pw-f-grow {
	flex-grow: 2;
}